Announcement Announcement Module
Collapse
No announcement yet.
SpringIDE seems to be installed, but doesn't work Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • SpringIDE seems to be installed, but doesn't work

    I've followed all the steps for installing the SpringIDE including all its dependencies. When I go to Help > About Eclipse Platform... I see the SpringIDE icon (so I guess it's installed).

    However, I don't see any mention of the SpringIDE anywhere else in eclipse (not in the preferences dialog or anywhere else). Is there anything I need to do in order to activate it?

    Any help would be appreciated.
    Last edited by danigoldman; Dec 9th, 2008, 03:48 PM.

  • #2
    Spring IDE requires at least a Java 5 runtime. So please check if you run your Eclipse with Java 5.

    Christian

    Comment


    • #3
      I have Java 6 running.

      I decided to delete my plugins and features folders, and start from scratch all over again. I'm hoping my issues will go away.
      Last edited by danigoldman; Dec 9th, 2008, 03:51 PM.

      Comment


      • #4
        I seem to have the same problem. After upgrading from 2.0.1 to 2.0.2, Spring IDE no longer works. In the project properties window there is a "Spring" page with empty (!) tabs "Project Validators" and "Project Builders". The sub-page "Beans Support" is gone. Adding and removing Spring nature still works, but the icon ("S") doesn't change.

        My configuration:
        Win XP SP2
        Java 1.6.0_02
        Eclipse IDE for Java EE Developers 3.3 Fall 2

        Spring IDE 2.0.1 seems to work fine, even after downgrading.

        Cheers,
        Peter

        Comment


        • #5
          Guys,

          if you plan on using Java 6 please install the org.springframework.osgi.backport.util.concurrent plugin that comes with the Spring IDE OSGi Extension (optional) feature.

          Thanks,

          Christian

          Comment


          • #6
            The Spring IDE OSGi Extension (optional) feature is already installed, but it still doesn't work.

            Comment


            • #7
              Can you please delete all features and plugins that start with org.springframework.* from the features and plugins folder and reinstall 2.0.2.

              That should finally help. Let me know if this helps.

              Christian

              Comment


              • #8
                Removing all files and folders whose name starts with org.springframework and then reinstalling Spring IDE 2.0.2 solved the problem.

                Thanks
                Peter

                Comment


                • #9
                  I had the same issue. I now uninstalled all Spring-IDE plugins and freshly installed version 2.0.2.
                  I can confirm that it works now. Thanks for the instructions.

                  Andreas

                  Comment

                  Working...
                  X